CREATE TABLE bm_fav_bs_share_perm (
    ID               NUMBER(18, 0),
    FAVORITE_ID      NUMBER(18, 0)    NOT NULL,
    USER_ID          NUMBER(18, 0),
    GROUP_ID         NUMBER(18, 0),
    ACCESS_LEVEL     NUMBER(1, 0)     NOT NULL,
    DATE_ADDED       DATE             NOT NULL,
    DATE_MODIFIED    DATE             NOT NULL,
    ID               NUMBER(18, 0),
    FAVORITE_ID      NUMBER(18, 0)    NOT NULL,
    USER_ID          NUMBER(18, 0),
    GROUP_ID         NUMBER(18, 0),
    ACCESS_LEVEL     NUMBER(1, 0)     NOT NULL,
    DATE_ADDED       DATE             NOT NULL,
    DATE_MODIFIED    DATE             NOT NULL,
    CONSTRAINT pk_bm_fav_bs_share_perm PRIMARY KEY (ID, ID)
);
